function HomeController(ScreenService, General, templateManager){
    this.changePasswd = function(){
        ScreenService.openWindow("product#alterar_senha");
    };
    this.restarWidgets = container => {
        container.widgets.forEach(widget => {
            widget.isVisible = false;
        });
        let DTCARDAPIO = container.widgets[0].dataSourceFilter.find(dsf=>dsf.name === 'DTCARDAPIO');
        if(DTCARDAPIO){
            DTCARDAPIO.value = "@moment().format('DD/MM/YYYY')@";
        }
        container.widgets[0].activate();
        container.widgets[0].isVisible = true;
        container.widgets[0].reload();
    };

    this.onContainerInit = function(container){
    };

    this.setRemoveAccountOptionVisibility = function(homeContainer){
        const homeWidget = homeContainer.widgets.find(widget => widget.name === 'mainWidget');
        const removeAccountAction = homeWidget.actions.find(action => action.name === 'removeAccount');
        const userData = getLocalVar('userData');
        removeAccountAction.isVisible = userData && !userData.isAnon;
        
        const logoutAction = homeWidget.actions.find(action => action.name === 'logout');
        logoutAction.isVisible = getLocalVar("showLogout") == false ? getLocalVar("showLogout") : true;
    };
    
    this.setAppVersion = function(homeContainer) {
        if (!window.cordova) {
            return;
        }

        const homeWidget = homeContainer.widgets.find(widget => widget.name === 'mainWidget');
        const versionAction = homeWidget.actions.find(action => action.name === 'versao_app');

        versionAction.readonly = true;
        versionAction.aclReadOnly = true;
    
        let versionText = "0.0";
    
        document.addEventListener('deviceready', function() {
            cordova.getAppVersion.getVersionNumber(function(version) {
                versionText = version;
                versionAction.label = "Versão do App: " + versionText;
                versionAction.isVisible = true;
            }, function(error) {
                versionAction.isVisible = false;
            });
        }, false);
    };

    
    this.setBackVersion = function(homeContainer) {
        const homeWidget = homeContainer.widgets.find(widget => widget.name === 'mainWidget');
        const versionAction = homeWidget.actions.find(action => action.name === 'versao_back');
        versionAction.readonly = true;
        versionAction.aclReadOnly = true;
        let versionText;
        if(getLocalVar("app_version")){
            versionText = getLocalVar("app_version");
            versionAction.label = "Versão BackEnd: " + versionText; 
            versionAction.isVisible = true;
        }
    };
}

Configuration(function (ContextRegister) {
    ContextRegister.register('HomeController', HomeController);
});